Bug 613584 - manual page of snmptrapd is buggy for option -D
Summary: manual page of snmptrapd is buggy for option -D
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp   
(Show other bugs)
Version: 5.5
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-12 10:53 UTC by Peter Bieringer
Modified: 2011-07-21 12:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 09:12:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1076 normal SHIPPED_LIVE net-snmp bug fix and enhancement update 2011-07-21 09:07:58 UTC

Description Peter Bieringer 2010-07-12 10:53:12 UTC
Description of problem:
while man page tells about -D TOKEN, snmptrapd only understands -D without any additional argument

Version-Release number of selected component (if applicable):
net-snmp-5.3.2.2-9.el5_5.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

       -D TOKEN[,...]
               Turn on debugging output for the given TOKEN(s).  Try ALL for extremely verbose output.


Expected results:

      -D
   enable debug mode


Additional info:

# snmptrapd -h 2>&1 | grep '\-D'
  -D                    turn on debugging output

Comment 1 Jan Safranek 2010-07-19 11:39:12 UTC
snmptrapd does understand additional arguments of -D, but not in format which is described in man page.

Correct usage is -Dtoken, without space. I'll fix the man pages and -h output.

Comment 2 Jan Safranek 2010-07-20 07:36:34 UTC
I've fixed the documentation upstream, SVN rev. 19230.

Comment 3 RHEL Product and Program Management 2011-01-11 20:34:17 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 4 RHEL Product and Program Management 2011-01-11 23:08:11 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 8 errata-xmlrpc 2011-07-21 09:12:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html

Comment 9 errata-xmlrpc 2011-07-21 12:22:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1076.html


Note You need to log in before you can comment on or make changes to this bug.